This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 784537 - qemu and grub2 rescue floppy don't get along
qemu and grub2 rescue floppy don't get along
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-25 05:10 EST by Paul Bolle
Modified: 2013-02-11 17:42 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-11 17:42:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul Bolle 2012-01-25 05:10:51 EST
Description of problem:
qemu and grub2 rescue floppy don't get along

Version-Release number of selected component (if applicable):
0.15.1

How reproducible:
Always

Steps to Reproduce:
1. grub2-mkrescue -o test.img
2. qemu -fda test.img
3.
  
Actual results:
SeaBIOS (version 0.6.2)
                       
Booting from Floppy... 
GRUB loading....       
Welcome to GRUB!       
                       
error: out of disk.    
Entering rescue mode...
grub rescue>           

Expected results:
Some of the above messages seem to be shortly showed. Then we get:
  
                             GNU GRUB  version 1.99                    
                                                                       
   Minimal BASH-like line editing is supported. For the first word, TAB
   lists possible command completions. Anywhere else TAB lists possible
   device or file completions.                                         
                                                                       
grub>                                                                  

Additional info:
0) The images that grub2-mkrescue creates are odd mixtures of ISO images and disk images:
    file -r -k test.img
    test.img: # ISO 9660 CD-ROM filesystem data 'ISOIMAGE                        ' (bootable)
    - x86 boot sector; partition 1: ID=0xcd, active, starthead 0, startsector 1, 4455 sectors, code offset 0x63 DOS executable (COM), boot code

1) The test image I use has a 2281472 byte size. If I append that with zeroes to 2880 KB (2949120 bytes) then I get the expected results. So there's a workaround. But I don't think it's an obvious workaround.

2) It's debatable whether this is a bug. If it's considered a bug, I'm not sure whether qemu and/or grub2 is to blame. Should qemu (silently) handle (floppy) disk image between 1440 KB and 2880 KB as if they actually were 2880 KB in size? Or should grub2, if possible, zero pad the images it creates to (in this case) a 2880 KB size?

3) Please note that there seems to be little one can do to leave "grub rescue" mode. Ie, "insmod normal" will fail too:
    grub rescue> insmod normal
    error: out of disk.
Comment 1 Fedora Admin XMLRPC Client 2012-03-15 13:56:30 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora End Of Life 2013-01-16 15:42:44 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Cole Robinson 2013-02-11 17:42:46 EST
I can still reproduce issues with latest upstream qemu, though the error message is a little different. Given that this is kind of an obscure bug that's existed for a while, I've filed it upstream, please follow this report if you are still interested:

https://bugs.launchpad.net/qemu/+bug/1122492

Note You need to log in before you can comment on or make changes to this bug.